function [ calvecOut, NewModelUpdate, x ] = calibrate(  vecPar, calvec, modelUpdate )




global xArr


[mini, u_meal, u_ins, HR, time, mTime, dT] = Assign();


len=length(vecPar(1,:));
calvecOut=zeros(1,12);
modelPar= modelUpdate;



if len >=3 && calvec(vecPar(len-1))~= 0
    
    for i=1:len-1       
        x0(i)=calvec(vecPar(i));    
    end
    x0(len)=modelPar(vecPar(end));
    
else

    for i=1:len      
        x0(i)=modelPar(vecPar(i));    
    end
      
end
x0



lb=zeros(len,1);
ub=zeros(len,1);

for i=1:len
    
    lb(i,1)=modelPar(vecPar(i))*0.0001;
    ub(i,1)=modelPar(vecPar(i))*5.5;

%     lb(i,1)=modelPar(vecPar(i))*0.01;
%     ub(i,1)=modelPar(vecPar(i))*100.5;
    
    if vecPar(i)==4
        ub(i,1)=0.98;
    end
    
end


options = optimset('MaxFunEvals',5000, 'MaxIter', 1000, 'Algorithm', 'SQP');
[x, fval] = fmincon(@(x)FUN(x, vecPar, modelUpdate), x0,[],[],[],[],lb,ub,[],options)
%[x, fval] = fminsearch(@(x)FUN(x, vecPar, modelUpdate), x0);

    for i=1:len       
        calvecOut(vecPar(i))=x(i);    
    end


NewModelUpdate=[mini.p1 mini.p2 mini.p3 mini.Td mini.alfa mini.beta mini.aHR mini.kabs mini.kemp mini.n mini.f mini.Tex];
    
     for i=1:len       
        NewModelUpdate(vecPar(i))=x(i);    
    end



load 'Glucose.mat';
figure(3)

plot(time, xArr(:,1),'r')
hold on
plot (Glucose(:,1), Glucose(:,2))

end

