function [ J ] = fisherCost( u )

[td, ts, dT, p_meal, p_Y, nU, vecPar] = assign();
nPar=length(vecPar(1,:));
nState=7;

x0=[81.0; 0; (0.142*11*10*10); (0.142*11*10*10); 0; 0; 0];
sMat0   = zeros(nState,nPar);
time=1:dT:td;
lengTime=length(time(1,:));

shift_meal=1:round(lengTime/p_meal):lengTime
shift_Y=1:round(lengTime/p_Y):lengTime

calc_fish=1:ts:lengTime;
teller_f=1;

u_meal=u(1:p_meal,1);
Y=u((p_meal+1):(p_Y+p_meal),1);

Fi0     = zeros(nState,nState);
dFdP=zeros(7,nPar);
fisk=zeros(nPar,nPar);

teller1=1;
teller3=1;

for i=1:lengTime;
 
  
    if i==shift_meal(teller1)
        U(1)=u_meal(teller1);
        teller1=teller1+1;
     
    end

    % Y
    if i==shift_Y(teller3)
        U(2)=Y(teller3);
        teller3=teller3+1;
    end
    
    if teller1==length(shift_meal)
        teller1=1;
    end
  


    if teller3==length(shift_Y)
        teller3=1;
    end

    U=[U(1); U(2)];

    [Fish, dFdP1, xV, sMat, Fi] = senseMod2(Fi0, sMat0,td,dT, x0, dFdP, U, vecPar);
    x0=xV;
    sMat0=sMat;   
    Fi0=Fi;
    dFdP=dFdP1;
        if teller_f==round((lengTime/ts)-1)
      
        teller_f=1;
        end

    if i==calc_fish(teller_f)
        fisk=fisk+Fish;
       
        teller_f=teller_f+1;
    end


end
J=(det(inv(fisk)));
end






