function plotSense(xArr,pArr,time,mTime,sArr,mini)
    
    bp = 'b';
    rp = 'r';
    gp = 'g';
    figure(1);
    plot(time, 1000*xArr(:,2),bp);
    grid on;
    hold on;
    plot(time, pArr(:,1),rp);
    plot(time, 10*xArr(:,7),gp);
    title('1000*X(blue), 10*Z(green) and I(red)');
    ylabel('1000/min and mU/L');
    
    figure(2);
    plot(time, xArr(:,3),bp);
    grid on;
    hold on;
    plot(time, xArr(:,4),rp);
    title('SubInsulin(blue) and Ext insulin(red)');
    ylabel('mU');
    
    figure(3);
    plot(time, xArr(:,5)/1000,bp);
    grid on;
    hold on;
    plot(time, xArr(:,6)/1000,rp);
    title('Qs1(blue) and QGut(red)');
    ylabel('gram');
    
    figure(4);
    plot(time, xArr(:,1),rp);
    title('Glucose: model(red), meas(black/ring) ');
    ylabel('mg/dL');
    
    txtArr = {'dG/p1';'dG/p3';'dG/p2'};
    tS     = cellstr(txtArr);
    
    figure(5);   
    dGdP = sArr(:,1,:);
    subplot(4,2,1), plot(time, dGdP(:,1)*mini.p1);
    title('dG/dp1');
    hold on;
    subplot(4,2,2), plot(time, dGdP(:,2)*mini.p2);
    title('dG/dp2');
    subplot(4,2,3), plot(time, dGdP(:,3)*mini.p3);
    title('dG/dp3');
    subplot(4,2,4), plot(time, dGdP(:,4)/mini.Td);
    title('dG/dTd(inv)');
    subplot(4,2,5), plot(time, dGdP(:,5)*mini.alfa);
    title('dG/dAlfa');
    subplot(4,2,6), plot(time, dGdP(:,6)*mini.beta);
    title('dG/dBeta');
    subplot(4,2,7), plot(time, dGdP(:,7)*mini.aHR);
    title('dG/daH');
    subplot(4,2,8), plot(time, dGdP(:,8)*mini.kabs);
    title('dG/dkabs');
    
    figure (16)
    subplot(4,2,1), plot(time, dGdP(:,1)*mini.p1);
    title('dG/dp1');
    hold on;
    subplot(4,2,2), plot(time, dGdP(:,2)*mini.p2);
    title('dG/dp2');
    subplot(4,2,3), plot(time, dGdP(:,3)*mini.p3);
    title('dG/dp3');
    subplot(4,2,4), plot(time, dGdP(:,4)/mini.Td);
    title('dG/dTd(inv)');

    
  
    