function [J1] = FUN( x, vecPar, modelUpdate )

global xArr

len=length(vecPar(1,:));

[mini, u_meal, u_ins, HR, time, mTime, dT] = Assign();


modelPar=modelUpdate;


for i=1:len       
    modelPar(vecPar(i))=x(i);
        
%     if vecPar(i)==4
%     modelPar(vecPar(i))=1/x(i);
%     end
end





nSim   = length(time);     % Number of simulation steps
nState = 7;
fVec   = zeros(nState,1);
xV     = zeros(nState,1);
xArr   = zeros(nSim,nState);

xV(1)  = mini.Gb;
xV(2)  = mini.Xs;
xV(3)  = mini.Ss;
xV(4)  = mini.Ss;
xV(5)  = 0.0;
xV(6)  = 0.0;
xV(7)  = 0.0;

counter=1;

for i=1:nSim,

        % Function parameters
        Ra   = modelPar(11)*modelPar(8)*xV(6);    % Ra in mg/min
        Y    = (HR(i)/60)-1;
        fY   =  modelPar(7)*Y^mini.nPot/(1+modelPar(7)*Y^mini.nPot);
        hlp     = 1+exp((mini.C1-xV(1))/mini.a1);
        iOwn    = mini.Rm/hlp;

        Iact = (xV(4)/(1/modelPar(4))+iOwn)/(modelPar(10)*mini.Vi);
  
        fVec(1) = -(modelPar(1)+(1.0+modelPar(5)*xV(7))*xV(2))*xV(1)- ...
            modelPar(6)*Y*xV(1)+modelPar(1)*mini.Gb+Ra/mini.Vp;
        fVec(2) = -modelPar(2)*xV(2)+modelPar(3)*(Iact-mini.Ib);
        fVec(3) = u_ins(i,1)+mini.Ub-xV(3)/(1/modelPar(4));
        fVec(4) = (xV(3)-xV(4))/(1/modelPar(4));
        fVec(5) = -modelPar(9)*xV(5)+u_meal(i,1);
        fVec(6) = -modelPar(8)*xV(6)+modelPar(9)*xV(5);
        fVec(7) = -(fY+1.0/modelPar(12))*xV(7)+fY;


  
        
    xV   = xV+dT*fVec;
    xArr(i,:) = xV;
    
        load 'Glucose.mat'
    if i==mTime(counter)
        JJ(counter,1)=(xArr(i,1)-Glucose(counter,2))^2;
        counter=counter+1;
    end
    
    if counter==length(mTime)
        counter=1;
    end
    
    
end



J=0;
for i=1:17
    J=J+JJ(i,1);
end
J1=(J);

end

