function [RDE, detInv, normD, modE] = findRDE(Fisher, vecPar, mini, modelUpdate)

nPar = length(vecPar);
parameters = modelUpdate;

%[mini.p1 mini.p2 mini.p3 1/mini.Td mini.alfa...
 %   mini.beta mini.aHR mini.kabs mini.kemp mini.n mini.f mini.Tex];

for i=1:nPar
    scPar(1, i) = parameters(1, vecPar(i)); 
end

D=det(Fisher);
normD=D*(norm(scPar))^2;

eigenval=eig(Fisher);
sort_eigenval=sort(eigenval);
smal=sort_eigenval(1);
large=sort_eigenval(end);
modE=large/smal;

RDE=normD/modE;
detInv=det(inv(Fisher));

end

